Loading...
Searching...
No Matches
release.c File Reference

Segment release routines. More...

`#include <stdlib.h>`
`#include <grass/gis.h>`
`#include "local_proto.h"`
Include dependency graph for segment/release.c:

Go to the source code of this file.

## Functions

int | Segment_release (SEGMENT *SEG)
| Free memory allocated to segment.

## Detailed Description

Segment release routines.

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  GRASS Development Team

Date
  2005-2009

Definition in file segment/release.c.

## Function Documentation

## Segment_release()

int Segment_release | ( | SEGMENT * | SEG | ) |

Free memory allocated to segment.

Releases the allocated memory associated with the segment file seg.

Note: Does not close the file. Does not flush the data which may be pending from previous Segment_put() calls.

Parameters

  [in,out] | SEG | segment

Returns
  1 if successful
  -1 if SEGMENT is not available (not open)

Definition at line 33 of file segment/release.c.

References G_free().

Referenced by Segment_close().